> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkedcamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Permanently delete a specific webhook.

## Headers

<ParamField header="token" type="string" required>
  Your LinkedCamp API token.
</ParamField>

## Path Parameters

<ParamField path="webhookId" type="string" required>
  The ID of the webhook to delete.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful.
</ResponseField>

<ResponseField name="message" type="string">
  A human-readable result message.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0 \
    -H "token: YOUR_API_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      "https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
      headers={"token": "YOUR_API_TOKEN"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
    {
      method: "DELETE",
      headers: { "token": "YOUR_API_TOKEN" },
    }
  );
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Webhook deleted successfully!"
  }
  ```

  ```json 200 - Error theme={null}
  {
    "success": false,
    "message": "Invalid webhook ID!"
  }
  ```
</ResponseExample>
